<template>
  <el-bus-crud ref="crud" v-bind="tableConfig"></el-bus-crud>
</template>

<script>
import { getPartnerListConfig } from '@/utils/form-item-config'
export default {
  props: {
    value: {
      type: String,
      default: null,
    },
  },
  data() {
    return {
      tableConfig: {
        url: 'flower/api/warehouse/location/list/orders',
        hasNew: false,
        hasEdit: false,
        hasDelete: false,
        hasView: false,
        saveQuery: false,
        columns: [
          {
            label: '序号',
            type: 'index',
          },
          { label: '订单号', prop: 'orderNo' },
          { label: '下单人姓名', prop: 'customer' },
          { label: '下单人联系电话', prop: 'customerTel' },
          {
            label: '下单人地址',
            formatter: (row) =>
              `${row.customerProvince || ''}${row.customerCity || ''}${
                row.customerRegion || ''
              }${row.customerAddress || ''}`,
          },
          { label: '所属合伙人', prop: 'partnerName' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [
              { label: '订单号', id: 'orderNo', type: 'input' },
              { ...getPartnerListConfig() },
            ],
          },
        ],
        extraButtons: [
          {
            text: '选择',
            show: (row) => this.value !== row.id,
            atClick: (row) => {
              this.$emit('input', row.id)
              return false
            },
          },
          {
            text: '已选择',
            disabled: () => true,
            show: (row) => this.value === row.id,
          },
        ],
      },
    }
  },
}
</script>
